# Experiment Framework for EMB²

## Overview

This small toolkit helps with the automatic generation, building and execution
of experiments. Currently it is limited to the generation of experiments for
real-time tasksets for the EMB² library writtine in C++ (C++11); however, it
should be easily extendable for other purposes, aswell.

## Requirements

Most of the scripts are written in Python (Python 3.5) and should therefore be
usable on most operating systems. The following third-party libraries where
used:

* argparse
* shutil
* json
* pystache

Building and running the single experiments heavily relies on the buildutils and
clang.

## Usage

All of the scripts have self-explaining usage messages, an exemplary experiment
generation flow from generation to execution is given by the *run.sh* shell
script.
